package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.common.enums.mark.MarkMode;
import com.qmth.teachcloud.mark.entity.MarkUserPaper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.mark.enums.QuestionModel;

/**
 * <p>
 * 试卷评卷员设置 服务类
 * </p>
 *
 * @author xf
 * @since 2025-02-21
 */
public interface MarkUserPaperService extends IService<MarkUserPaper> {

    MarkUserPaper getByExamIdAndPaperNumberAndUserId(Long examId, String paperNumber, Long userId);

    void updateMode(Long examId, String paperNumber, Long userId, MarkMode mode, QuestionModel questionModel);
}
